/* ===================================================== */
/* CSS for control sap.ui.layout/form/FormLayout.control */
/* SAP-HCB Theme                                         */
/* ===================================================== */

@sapUiFormTitleSize: ~"H4";
@sapUiFormSubTitleSize: ~"H5";

.sapUiFormLayout{
	font-size: @sapUiDesktopFontSize;
}

.sapUiForm .sapUiFormTitle{
	border-width: 3px;
	box-sizing: border-box;
	font-weight: @sapUiFontHeaderWeight;
	color: @sapHCStandardFG;
	height: 3rem;
	line-height: 3rem;
}

.sapUiFormContainerTitle > .sapUiFormTitle{
	border: none;
	box-sizing: border-box;
	margin-bottom: 0.5rem;
	height: 2rem;
	line-height: 2rem;
}

.sapUiFormM .sapUiFormContainerTitle > .sapUiFormTitle{
	height: 3rem;
	line-height: 3rem;
}

.sapUiSizeCompact .sapUiFormContainerTitle > .sapUiFormTitle{
	height: 2rem;
	line-height: 2rem;
}

.sapUiFormTitle.sapUiFormTitleEmph{
	border-color: @sapHCStandardFG;
}

/* Title levels - use m-parameter for HCB */
.sapUiFormTitleH1 {
	font-size: @sapMFontHeader1Size;
}

.sapUiFormTitleH2 {
	font-size: @sapMFontHeader2Size;
}

.sapUiFormTitleH3 {
	font-size: @sapMFontHeader3Size;
}

.sapUiFormTitleH4 {
	font-size: @sapMFontHeader4Size;
}

.sapUiFormTitleH5 {
	font-size: @sapMFontHeader5Size;
}

.sapUiFormTitleH6 {
	font-size: @sapMFontHeader6Size;
}

/* Toolbar */
.sapUiFormContainerToolbar > div:first-child {
	margin-bottom: 0.5rem;
}